org.apache.uima.fit.descriptor

## Annotation Type ExternalResource

-     @Retention(value=RUNTIME)
       @Target(value=FIELD)
      public @interface ExternalResource

  Mark a field as external resource.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Class<? extends org.apache.uima.resource.Resource>` | `api` The interface that external resources need to implement.
    `String` | `description` A description for the external resource.
    `String` | `key` The key to which external resources bind to.
    `boolean` | `mandatory` Determines if this external resource is mandatory.

- - ### Element Detail

    - #### key

          public abstract String key

      The key to which external resources bind to. If no key is set, the name of the annotated field will be used.
      Returns:
        the key;
      Default:
        ""

  - - #### api

          public abstract Class<? extends org.apache.uima.resource.Resource> api

      The interface that external resources need to implement. Normally this has to be the type of the field, but if `ExternalResourceLocator`s are used, this should be set to `ExternalResourceLocator` or to a derived interface.
      Returns:
        the required interface.
      Default:
        org.apache.uima.resource.Resource.class

  - - #### description

          public abstract String description

      A description for the external resource.
      Returns:
        the description.
      Default:
        ""

  - - #### mandatory

          public abstract boolean mandatory

      Determines if this external resource is mandatory.
      Returns:
        if this external resource is mandatory.
      Default:
        true

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.